Debian Bug report logs - #619874
transition: Xfce 4.8

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Yves-Alexis Perez <corsac@debian.org>

Date: Mon, 28 Mar 2011 06:54:02 UTC

Owned by: pkg-xfce-devel@lists.alioth.debian.org

Severity: normal

Done: Mehdi Dogguy <mehdi@dogguy.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, pkg-xfce-devel@lists.alioth.debian.org:
Bug#619874; Package release.debian.org. (Mon, 28 Mar 2011 06:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>, pkg-xfce-devel@lists.alioth.debian.org. (Mon, 28 Mar 2011 06:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: debian-release@lists.debian.org
Cc: pkg-xfce-devel@lists.alioth.debian.org, submit <submit@bugs.debian.org>
Subject: transition: Xfce 4.8
Date: Mon, 28 Mar 2011 08:51:01 +0200
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Owner: pkg-xfce-devel@lists.alioth.debian.org
User: release.debian.org@packages.debian.org
Usertags: transition

On mer., 2011-03-23 at 15:51 +0100, Yves-Alexis Perez wrote:
> On Sun, 2011-03-06 at 18:26 +0100, Yves-Alexis Perez wrote:
> > Hey RT,
> > 
> > now that all the Xfce 4.8 bits have been accepted to experimental, we'd
> > like to upload to unstable. As it's a new major upstream release,
> > there's quite some dependencies involved, so I guess you're not against
> > having a little summary so we can coordinate that upload in order to not
> > break any ongoing transition.
> > 
> > Here's a summary:
> > 
> > * libxfce4util stays the same but adds symbols files
> > * libxfcegui4 is deprecated, replaced by libxfce4ui, but a libxfcegui4
> > stays for a while for packages not yet ported. A “private” library
> > previously shipped in libxfcegui4 is now shipped by libxfce4ui
> > (libxfcekbdprivate), the glade files are shipped in libxfce4ui as well.
> > Breaks/Replaces have been set accordingly
> > * libxfc4menu is gone, replaced by garcon
> > * exo bumps soname from 0.3 to 1 and now ships a symbol file
> > * thunar has been ported to gio/gvfs and thus the thunar-vfs layer has
> > been dropped (but is still provided for compatibility as a new source
> > package). A symbol file is provided in Thunar
> > * xfce4-panel has seen a huge rewrite and the ABI has changed, meaning
> > all plugins need to be rebuilt against the 4.8 panel (all panel plugins
> > right now have a dependency on xfce4-panel (<< 4.7), after the rebuild
> > they'll pick the right xfce4-panel dependency. Some binNMUs might need
> > to be scheduled but we mostly have source uploads anyway.
> > * xfconf adds a symbol file
> > 
> > and I think that's all for the lib-related stuff. There are 24 source
> > packages for the core and a bit more than 40 for panel plugins and
> > goodies.
> > 
> > What do you need from us (info, schedule etc.) and how can we
> > synchronize with you so we don't make you hate us? Right now we'll wait
> > for an ack anyway but as we have quite some people asking us about 4.8
> > in unstable, the sooner will be the better for us :)
> > 
> Hey,
> 
> this is a friendly ping about 4.8 upload (I know you're quite busy, as
> usual).
> 

It seems that I missed the fact that opening a tracking bug was the way
to go, so here we are (still keeping the whole citation for the bug).

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Added indication that bug 619874 blocks 622363 Request was from Mehdi Dogguy <mehdi@dogguy.org> to control@bugs.debian.org. (Tue, 12 Apr 2011 19:51:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, pkg-xfce-devel@lists.alioth.debian.org:
Bug#619874; Package release.debian.org. (Tue, 19 Apr 2011 13:48:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, pkg-xfce-devel@lists.alioth.debian.org. (Tue, 19 Apr 2011 13:48:18 GMT) Full text and rfc822 format available.

Message #12 received at 619874@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: pkg-xfce-devel@lists.alioth.debian.org, 619874@bugs.debian.org
Subject: Re: transition: Xfce 4.8
Date: Tue, 19 Apr 2011 15:20:06 +0200
tags 619874 + pending
thanks

On 03/28/2011 08:51 AM, Yves-Alexis Perez wrote:
> Package: release.debian.org
> Owner: pkg-xfce-devel@lists.alioth.debian.org
> User: release.debian.org@packages.debian.org
> Usertags: transition
>
> On mer., 2011-03-23 at 15:51 +0100, Yves-Alexis Perez wrote:
>> On Sun, 2011-03-06 at 18:26 +0100, Yves-Alexis Perez wrote:
>>> Hey RT,
>>>
>>> now that all the Xfce 4.8 bits have been accepted to experimental, we'd
>>> like to upload to unstable. As it's a new major upstream release,
>>> there's quite some dependencies involved, so I guess you're not against
>>> having a little summary so we can coordinate that upload in order to not
>>> break any ongoing transition.
>>>
>>> Here's a summary:
>>>
>>> * libxfce4util stays the same but adds symbols files
>>> * libxfcegui4 is deprecated, replaced by libxfce4ui, but a libxfcegui4
>>> stays for a while for packages not yet ported. A “private” library
>>> previously shipped in libxfcegui4 is now shipped by libxfce4ui
>>> (libxfcekbdprivate), the glade files are shipped in libxfce4ui as well.
>>> Breaks/Replaces have been set accordingly
>>> * libxfc4menu is gone, replaced by garcon
>>> * exo bumps soname from 0.3 to 1 and now ships a symbol file
>>> * thunar has been ported to gio/gvfs and thus the thunar-vfs layer has
>>> been dropped (but is still provided for compatibility as a new source
>>> package). A symbol file is provided in Thunar
>>> * xfce4-panel has seen a huge rewrite and the ABI has changed, meaning
>>> all plugins need to be rebuilt against the 4.8 panel (all panel plugins
>>> right now have a dependency on xfce4-panel (<<  4.7), after the rebuild
>>> they'll pick the right xfce4-panel dependency. Some binNMUs might need
>>> to be scheduled but we mostly have source uploads anyway.
>>> * xfconf adds a symbol file
>>>
>>> and I think that's all for the lib-related stuff. There are 24 source
>>> packages for the core and a bit more than 40 for panel plugins and
>>> goodies.
>>>
>>> What do you need from us (info, schedule etc.) and how can we
>>> synchronize with you so we don't make you hate us? Right now we'll wait
>>> for an ack anyway but as we have quite some people asking us about 4.8
>>> in unstable, the sooner will be the better for us :)
>>>
>>
>> this is a friendly ping about 4.8 upload (I know you're quite busy, as
>> usual).
>>
>
> It seems that I missed the fact that opening a tracking bug was the way
> to go, so here we are (still keeping the whole citation for the bug).
>

If you feel ready, please go ahead!

(will try to setup a tracker for this transition later)

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Added tag(s) pending. Request was from Mehdi Dogguy <mehdi@dogguy.org> to control@bugs.debian.org. (Tue, 19 Apr 2011 13:48:29 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619874: 624411 and 624413 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 28 Apr 2011 08:51:07 GMT) Full text and rfc822 format available.

Bug 624413 cloned as bugs 624420, 624421. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Thu, 28 Apr 2011 09:06:49 GMT) Full text and rfc822 format available.

Bug 624413 cloned as bugs 624420, 624421. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Thu, 28 Apr 2011 09:06:50 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619874: 624772 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 01 May 2011 15:36:08 GMT) Full text and rfc822 format available.

Reply sent to Mehdi Dogguy <mehdi@dogguy.org>:
You have taken responsibility. (Mon, 02 May 2011 22:15:03 GMT) Full text and rfc822 format available.

Notification sent to Yves-Alexis Perez <corsac@debian.org>:
Bug acknowledged by developer. (Mon, 02 May 2011 22:15:03 GMT) Full text and rfc822 format available.

Message #27 received at 619874-done@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: 619874-done@bugs.debian.org
Cc: Yves-Alexis Perez <corsac@debian.org>, pkg-xfce-devel@lists.alioth.debian.org
Subject: Re: Bug#619874: transition: Xfce 4.8
Date: Tue, 03 May 2011 00:12:34 +0200
Looks like it migrated. (according to Britney's log file). So, closing…

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 31 May 2011 07:38:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:58:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.